# 操作行为指令格式说明
操作行为指令的方案设计可参考 [系列文章](../系列文章/小桔棱镜-针对移动端操作行为标识指令的探讨及棱镜最终方案介绍.md) 中的探讨与介绍，本篇主要是对指令格式的说明，统一指令格式的核心目标是跨端指令的打通。

## 一、原则与思路
由于各平台之间的共性与特性并存，在指令设计上无法做到完全一致，因而选择在结构一致的基础上再做平台差异处理，保持结构统一从两点出发：

1. **片段划分**，经讨论最终采取"_^_"进行划分。通过原有公式进行表述即为：iOS行为标识 = 触发类型_^_响应链信息_^_列表信息_^_区位信息_^_参考信息_^_功能信息
2. **片段类型区分**，详见下文。 注：片段内采取"_&_"进行信息拼接。

## 二、指令片段类型规范
### 公有部分
| 类型名称 | 标记符 | 备注 |
| :----- | :----- | :----- |
| 触发类型（动作信息） | vm | 即 view motion |
| 响应链信息 | vp | 即 view path |
| 列表信息 | vl | 即 view list |
| 区位信息 | vq | 即 view quadrant |
| 参考信息 | vr | 即 view RepresentativeContent \[l_image\] 代表本地图片 \[r_image\] 代表网络图片 |
| 功能信息 | vf | 即 view function 注：iOS因为没有天然的控件ID，此时vf会记录文本or图片or方法名，来代表其功能信息。 |
| 通用事件 | e | 即前后台切换、弹窗、返回等通用事件 |
| H5页面事件 | h5 |  |

### iOS独有部分
暂无。

### Android独有部分
| 类型名称 | 标记符 | 备注 |
| :----- | :----- | :----- |
| 元素ID | vi | 即 view ID |
| Window信息 | w | 即 window |